curl --request POST \
--url https://cool.jobmojito.com/functions/v1/merchant-candidate-duplicate-dismiss \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"duplicate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"note": "Same name, different people: different dates of birth."
}
'import requests
url = "https://cool.jobmojito.com/functions/v1/merchant-candidate-duplicate-dismiss"
payload = {
"duplicate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"note": "Same name, different people: different dates of birth."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
duplicate_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
note: 'Same name, different people: different dates of birth.'
})
};
fetch('https://cool.jobmojito.com/functions/v1/merchant-candidate-duplicate-dismiss', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cool.jobmojito.com/functions/v1/merchant-candidate-duplicate-dismiss",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'duplicate_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'note' => 'Same name, different people: different dates of birth.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cool.jobmojito.com/functions/v1/merchant-candidate-duplicate-dismiss"
payload := strings.NewReader("{\n \"duplicate_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"note\": \"Same name, different people: different dates of birth.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://cool.jobmojito.com/functions/v1/merchant-candidate-duplicate-dismiss")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"duplicate_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"note\": \"Same name, different people: different dates of birth.\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cool.jobmojito.com/functions/v1/merchant-candidate-duplicate-dismiss")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"duplicate_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"note\": \"Same name, different people: different dates of birth.\"\n}"
response = http.request(request)
puts response.read_body{
"duplicate_id": "<string>",
"status": "dismissed",
"decided_at": "<string>",
"note": "<string>"
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}Dismiss a possible duplicate
Marks a possible-duplicate pair as not a duplicate. Both records stay as they are and the pair is not suggested again. Owners, recruiters and admins; both candidates must be visible to you. Needs the duplicate detection switch (duplicate_detection). Dismissing a pair already dismissed changes nothing. Nothing is sent to the candidates.
curl --request POST \
--url https://cool.jobmojito.com/functions/v1/merchant-candidate-duplicate-dismiss \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"duplicate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"note": "Same name, different people: different dates of birth."
}
'import requests
url = "https://cool.jobmojito.com/functions/v1/merchant-candidate-duplicate-dismiss"
payload = {
"duplicate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"note": "Same name, different people: different dates of birth."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
duplicate_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
note: 'Same name, different people: different dates of birth.'
})
};
fetch('https://cool.jobmojito.com/functions/v1/merchant-candidate-duplicate-dismiss', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cool.jobmojito.com/functions/v1/merchant-candidate-duplicate-dismiss",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'duplicate_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'note' => 'Same name, different people: different dates of birth.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cool.jobmojito.com/functions/v1/merchant-candidate-duplicate-dismiss"
payload := strings.NewReader("{\n \"duplicate_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"note\": \"Same name, different people: different dates of birth.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://cool.jobmojito.com/functions/v1/merchant-candidate-duplicate-dismiss")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"duplicate_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"note\": \"Same name, different people: different dates of birth.\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cool.jobmojito.com/functions/v1/merchant-candidate-duplicate-dismiss")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"duplicate_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"note\": \"Same name, different people: different dates of birth.\"\n}"
response = http.request(request)
puts response.read_body{
"duplicate_id": "<string>",
"status": "dismissed",
"decided_at": "<string>",
"note": "<string>"
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}Authorizations
Supabase JWT — Authorization: Bearer <token>.
Body
Duplicate pair id (profile_interview_duplicate.id), from the candidate's duplicates.
Why the two records are different people; kept with the decision (at most 2000 characters).
2000"Same name, different people: different dates of birth."
Response
The pair is dismissed.
Duplicate pair id (profile_interview_duplicate.id).
The pair's status: dismissed (never re-opened by later scans).
dismissed When the pair was dismissed (ISO 8601); the first dismissal is kept.
The note kept with the decision.